# -*- coding: utf-8 -*- 
import subprocess
import os
import json
from flask import Flask, request, render_template
from processor.LiaTools import *
from processor.Orkis import Orkis
app = Flask(__name__)

@app.route("/")
def docs():
    return render_template('index.html')

@app.route("/tagger",methods=['POST'])
def cleaner():
    # Receive String from post parametre Raw text
    dirtyString= request.values[u'string']
    # Charging Processor et check if they are okay ( aim is to dynamic charge later ) 
    orkisProc = Orkis(dirtyString)
    # Processing 
    # Adding lemm of each words cause we went ther phonem too
    taggedTable= orkisProc.getDico()
    # Returning a row text to be parse client side
    return unicode(taggedTable)
if __name__ == '__main__':
    app.debug = True
    app.run(host='0.0.0.0')
